PoseScript dataset, Copyright (c) 2022, 2023 Institut de Robòtica i Informàtica Industrial, CSIC-UPC / Naver Corporation

# PoseScript dataset

## License

The PoseScript dataset is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 4.0 license.

A summary of the CC BY-NC-SA 4.0 license is located here:
	https://creativecommons.org/licenses/by-nc-sa/4.0/

The CC BY-NC-SA 4.0 license is located here:
	https://creativecommons.org/licenses/by-nc-sa/4.0/legalcode

## Citation

If you use our dataset, please cite our ECCV'22 paper:

```
@inproceedings{posescript,
  title={{PoseScript: 3D Human Poses from Natural Language}},
  author={{Delmas, Ginger and Weinzaepfel, Philippe and Lucas, Thomas and Moreno-Noguer, Francesc and Rogez, Gr\'egory}},
  booktitle={{ECCV}},
  year={2022}
}
```

## Content

The PoseScript dataset is composed of pose-description pairs. Descriptions were either generated automatically (PoseScript-A) or written by human annotators (PoseScript-H).

For each of the 100k poses, we provide *3 automatic captions of different kinds* and *1 human-written caption* when available (6293 available in total).
The automatic captions have the following features, please refer to the paper for more details about these features and the overall automatic generation process as well as information on how the human-written captions were collected.

| index   | random skip | implicitness | auxiliary labels      | ripple effect |
|---------|-------------|--------------|-----------------------|---------------|
| 0       | yes         |              |                       |               |
| 1       | yes         | yes          | yes (with dancing)    |               |
| 2       | yes         | yes          |                       | yes           |


Caption files are organized as follow:
```
{
    "<data_ID>": [<description 1>, <description 2> ...],
    ...
}
```

The file `ids_2_dataset_sequence_and_frame_index_100k.json` links data IDs to pose data found in the AMASS dataset (https://amass.is.tue.mpg.de/), which use is subject to the following terms and conditions: https://amass.is.tue.mpg.de/license.html. For additional information on the dataset see “AMASS: Archive of Motion Capture as Surface Shapes” by Mahmood et al. (ICCV 2019). The file is organized as follow:

```
{
    "<data_ID>": [
        "<dataset>",
        "<relative path to the sequence>",
        <frame index in the sequence>
    ],
    ...
}
```

The files `train_ids_100k.json`, `val_ids_100k.json` and `test_ids_100k.json` provide the list of data IDs considered in each data split. We split the dataset into roughly 70% for training, 10% for validation and 20% for testing while ensuring that poses from the same pose sequence belong to the same split. The number of poses per split is as follow:

| sub-dataset   | train  | val    | test   | total   |
|---------------|--------|--------|--------|---------|
| PoseScript-A2 | 70,003 | 10,007 | 19,990 | 100,000 |
| PoseScript-H2 |  4,407 |    652 |  1,234 |   6,293 |

Note that this is an updated version of the initial dataset, we hence refer to these new versions as PoseScript-A2 PoseScript-H2.

Note that all poses from PoseScript-H2 are also in PoseScript-A2.
Split information files are organized as follow:

```
[
    ...
    "<data_ID>",
    ...
]
```